%define major 17
%define libname %mklibname upnp %{major}

%define ixmlmajor 11
%define libixml %mklibname ixml %{ixmlmajor}

%define develname %mklibname upnp -d

Summary:        Library and tools for the UPnP protocol
Name:           libupnp
Version:        1.14.18
Release:        %mkrel 1
License:        BSD
Group:          System/Libraries
URL:            http://pupnp.sourceforge.net/
Source:         http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.xz

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libname}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n	%{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{libixml}
Summary:        Library and tools for the UPnP protocol
Group:          System/Libraries

%description -n	%{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%package -n	%{develname}
Summary:        Header files and static libraries from %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libixml} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -qn pupnp-release-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-static \
	--enable-tools \
	--disable-largefile \
	--enable-reuseraddr \
	--enable-unspecified_server \
	--enable-ipv6
%make_build

%install
rm -rf %buildroot
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libupnp.so.%{major}*

%files -n %{libixml}
%{_libdir}/libixml.so.%{ixmlmajor}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Sep 05 2023 tex - 1.14.18-1pclos2023
- new version

* Tue Aug 09 2022 tex - 1.14.13-1pclos2022
- new version

* Tue Nov 09 2021 tex - 1.14.12-1pclos2021
- new version

* Fri Aug 27 2021 tex - 1.14.9-1pclos2021
- new version

* Sun May 16 2021 tex - 1.14.6-1pclos2021
- new version

* Fri Dec 04 2020 tex - 1.14.0-1pclos2020
- new version
